/**
# Copyright (c) 2024, HCUOpt CORPORATION.  All rights reserved.
**/

package noop

import (
	"dtk-container-toolkit/pkg/c3000cdi/transform"

	"tags.cncf.io/container-device-interface/specs-go"
)

type noop struct{}

var _ transform.Transformer = (*noop)(nil)

// New returns a no-op transformer.
func New() transform.Transformer {
	return noop{}
}

// Transform is a no-op for a noop transformer.
func (n noop) Transform(spec *specs.Spec) error {
	return nil
}
